.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    border-radius: 36px;
    padding: 16px 24px;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    text-decoration: none;
    min-width: 170px;
    min-height: 56px;
}

.button.is-slim {
    padding: 12px 20px;
    min-height: 48px;
}

.button span {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-size: 16px;
    color: var(--white);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0;
}

.button span i {
    color: #9DD4F7;
    font-weight: 700;
    font-size: 10px;
    letter-spacing: 1.75px;
    text-transform: uppercase;
}

.button-none {
    padding: 0;
    min-width: auto;
    min-height: auto;
}

.button-primary {
    color: var(--lex-primary);
    background: var(--lex-primary);
    border: 1px solid  var(--lex-primary);
}

.button-primary:hover,
.button-primary:focus {
    background: #36709E;
    text-decoration: none;
}

.button-secondary {
    background: var(--white);
    border: 1px solid  var(--lex-primary);
}

.button-secondary span {
    color: var(--lex-primary);
}

.button-secondary:hover,
.button-secondary:focus {
    background: #36709E;
    text-decoration: none;
}

.button-secondary:hover span,
.button-secondary:focus span {
    color: var(--white);
}


@media (max-width: 768px) {
    .button {
        padding: 12px 16px;
        min-width: 170px;
        min-height: 48px;
    }

    .button span {
        font-size: 14px;
    }
}

@media (max-width: 576px) {
    .button {
        width: 100%;
    }
}
